Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url 'https://api.themoviedb.org/3/account/{{account_id}}/rated/tv/episodes' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/account/{{account_id}}/rated/tv/episodes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/account/{{account_id}}/rated/tv/episodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"air_date": "2019-04-14",
"episode_number": 1,
"episode_type": "standard",
"id": 1551825,
"name": "Winterfell",
"overview": "Arriving at Winterfell, Jon and Daenerys struggle to unite a divided North. Jon Snow gets some big news.",
"production_code": "801",
"rating": 7,
"runtime": 55,
"season_number": 8,
"show_id": 1399,
"still_path": "/o65qwX1aHJclJ36VDhD3VYzz5em.jpg",
"vote_average": 7.171,
"vote_count": 248
},
{
"air_date": "2019-04-28",
"episode_number": 3,
"episode_type": "standard",
"id": 1551827,
"name": "The Long Night",
"overview": "The Night King and his army have arrived at Winterfell and the great battle begins. Arya looks to prove her worth as a fighter.",
"production_code": "803",
"rating": 8,
"runtime": 82,
"season_number": 8,
"show_id": 1399,
"still_path": "/mFtHbZenI5rRPqC5OFafoVmjEjq.jpg",
"vote_average": 6.903,
"vote_count": 288
}
],
"total_pages": 1,
"total_results": 2
}This endpoint retrieves the list of TV episodes you have rated.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This represents the TV show language.
"en"
This represents the page number.
"1"
This specifies the order in which the retrieved list will be displayed.
"created_at.asc"
Rated TV Episodes
1
Show child attributes
[
{
"air_date": "2019-04-14",
"episode_number": 1,
"episode_type": "standard",
"id": 1551825,
"name": "Winterfell",
"overview": "Arriving at Winterfell, Jon and Daenerys struggle to unite a divided North. Jon Snow gets some big news.",
"production_code": "801",
"rating": 7,
"runtime": 55,
"season_number": 8,
"show_id": 1399,
"still_path": "/o65qwX1aHJclJ36VDhD3VYzz5em.jpg",
"vote_average": 7.171,
"vote_count": 248
},
{
"air_date": "2019-04-28",
"episode_number": 3,
"episode_type": "standard",
"id": 1551827,
"name": "The Long Night",
"overview": "The Night King and his army have arrived at Winterfell and the great battle begins. Arya looks to prove her worth as a fighter.",
"production_code": "803",
"rating": 8,
"runtime": 82,
"season_number": 8,
"show_id": 1399,
"still_path": "/mFtHbZenI5rRPqC5OFafoVmjEjq.jpg",
"vote_average": 6.903,
"vote_count": 288
}
]
1
2